EDIT - feature request #6719

feature request # 6169 (Closed): Algae Registry web-application

Compact display of TypeDesignations in Registrationltems with edit button per fieldUnit

06/12/2017 01:38 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.8

Severity: normal

Description

type designations grouped and "deduplicated” by FieldUnit or TypifyingName

Button to open SpecimenTypeDesignationEditor

L

[ ]

¢ Button to open NameTypedesignationEditor per TypifyingName

¢ '+' putton at the end of the list of TypeDesignations to add another Specimen- or NameTypeDesignation

Related issues:

Related to EDIT - feature request #6718: Constistent TypeDesignation represen... Duplicate

Associated revisions

Revision 4e0052e3 - 06/12/2017 01:40 PM - Andreas Kohlbecker
ref #6719 refactoring and better test

Revision 22d82e8b - 06/13/2017 12:17 AM - Andreas Kohlbecker
ref #6719 improved TypeDesignationConverter

Revision b0775553 - 06/13/2017 08:40 AM - Andreas Kohlbecker
ref #6719 skipping fieldunit during cache generation

Revision a50e3be7 - 06/13/2017 09:32 AM - Andreas Kohlbecker

ref #6719 introducing TypeDesignationWorkingSet with string representation

Revision 1410780e - 06/13/2017 09:58 AM - Andreas Kohlbecker
ref #6719 DerivedUnitFacadeCacheStrategy can skip fieldUnits

Revision 79295d9d - 06/13/2017 11:00 AM - Andreas Kohlbecker

ref #6719 Registrationltems with edit buttons for name and per typedesignationWorkingSet

Revision cb4d176d - 06/13/2017 12:01 PM - Andreas Kohlbecker

ref #6719 RegistrationltemEditButtons active; Chooser for new type designations

Revision c2032c¢42 - 06/14/2017 09:35 AM - Andreas Kohlbecker

ref #6719 fixing bug in name editor event

Revision dc59a89a - 06/15/2017 07:48 AM - Andreas Kohlbecker

ref #6719 deterministic sortorder when base enitity is TaxonName (NameTypes)

Revision 1233268f - 06/15/2017 08:24 AM - Andreas Kohlbecker

ref #6719 better handling of case when statusType is null

Revision b91daead - 06/15/2017 08:51 AM - Andreas Kohlbecker
ref #6719 cleaning up
Revision ealed1f4 - 06/15/2017 08:53 AM - Andreas Kohlbecker
ref #6719 adapting test case

Revision bcc9b207 - 06/16/2017 11:39 AM - Andreas Kohlbecker
ref #6719 fixing bug releated to sorting

Revision 9f8¢2953 - 06/19/2017 12:11 PM - Andreas Kohlbecker

ref #6719 updating documentation on the TypeDesignationConverter

Revision 202b97d1 - 06/19/2017 12:15 PM - Andreas Kohlbecker

ref #6719 renaming the TypeDesignationConverter to TypeDesignationSetManager

History

#1 - 06/12/2017 01:39 PM - Andreas Kohlbecker
- Project changed from PhycoBank to EDIT

- Category set to cdm-vaadin

- Status changed from New to In Progress

- Assignee set to Andreas Kohlbecker

- Target version set to Release 4.8

- Severity set to normal

#2 - 06/12/2017 01:39 PM - Andreas Kohlbecker

- Related to feature request #6718: Constistent TypeDesignation representation creation added

#3 - 06/13/2017 12:04 PM - Andreas Kohlbecker

- Status changed from In Progress to Closed

#4 - 06/13/2017 12:05 PM - Andreas Kohlbecker
- Copied to feature request #6724: Popup Editor for SpecimenTypeDesignation Workingsets added

#5 - 06/16/2017 11:24 AM - Andreas Kohlbecker
- Copied to deleted (feature request #6724: Popup Editor for SpecimenTypeDesignation Workingsets)

#6 - 09/03/2019 04:31 PM - Andreas Kohlbecker
- % Done changed from 0 to 100

#7 - 05/05/2021 10:35 AM - Andreas Kohlbecker
- Tags changed from phycobank to phycobank, type designation
